WinUser.MONITORINFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinUser, class: MONITORINFO

Package com.sun.jna.platform.win32

# Class WinUser.MONITORINFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinUser.MONITORINFO

Enclosing interface:
  WinUser

@FieldOrder({"cbSize","rcMonitor","rcWork","dwFlags"}) public static class WinUser.MONITORINFO extends Structure

The MONITORINFO structure contains information about a display monitor.

The `User32.GetMonitorInfo(com.sun.jna.platform.win32.WinUser.HMONITOR, com.sun.jna.platform.win32.WinUser.MONITORINFO)` function stores information into a MONITORINFO structure

The MONITORINFO structure is a subset of the MONITORINFOEX structure.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbSize`
  The size, in bytes, of the structure.
  `int`
  `dwFlags`
  The attributes of the display monitor.
  `WinDef.RECT`
  `rcMonitor`
  Specifies the display monitor rectangle, expressed in virtual-screen coordinates.
  `WinDef.RECT`
  `rcWork`
  Specifies the work area rectangle of the display monitor that can be used by applications, expressed in virtual-screen coordinates.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MONITORINFO()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbSize

    public int cbSize
    The size, in bytes, of the structure.

  - ### rcMonitor

    public WinDef.RECT rcMonitor
    Specifies the display monitor rectangle, expressed in virtual-screen coordinates. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values.

  - ### rcWork

    public WinDef.RECT rcWork
    Specifies the work area rectangle of the display monitor that can be used by applications, expressed in virtual-screen coordinates. Windows uses this rectangle to maximize an application on the monitor. The rest of the area in rcMonitor contains system windows such as the task bar and side bars. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values.

  - ### dwFlags

    public int dwFlags
    The attributes of the display monitor. This member can be the following value.
    - MONITORINFOF_PRIMARY

- ## Constructor Details

  - ### MONITORINFO

    public MONITORINFO()